hwy::WrapRowMirror Class Reference

`#include <image.h>`

## Public Member Functions

template<class View >
| WrapRowMirror (const View &image, size_t ysize)
const float * | operator() (const float *const HWY_RESTRICT row, const int64_t stride) const

## Private Attributes

const float *const HWY_RESTRICT | first_row_
const float *const HWY_RESTRICT | last_row_

## Constructor & Destructor Documentation

## WrapRowMirror()

template<class View >

hwy::WrapRowMirror::WrapRowMirror | ( | const View & | image,
|  | size_t | ysize
| ) |  |

inline

## Member Function Documentation

## operator()()

const float * hwy::WrapRowMirror::operator() | ( | const float *const HWY_RESTRICT | row,
|  | const int64_t | stride
| ) |  | const

inline

References first_row_, and last_row_.

## Member Data Documentation

## first_row_

const float* const HWY_RESTRICT hwy::WrapRowMirror::first_row_

private

Referenced by operator()().

## last_row_

const float* const HWY_RESTRICT hwy::WrapRowMirror::last_row_

private

Referenced by operator()().

The documentation for this class was generated from the following file:

- image.h